import { ScheduleItemProps } from './value-objects/schedule-item.value-object';
import { WaypointProps } from './value-objects/waypoint.value-object';

// All properties that an Ad has
export interface AdProps {
  userId: string;
  driver: boolean;
  passenger: boolean;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: ScheduleItemProps[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  waypoints: WaypointProps[];
}

// Properties that are needed for an Ad creation
export interface CreateAdProps {
  userId: string;
  driver: boolean;
  passenger: boolean;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: ScheduleItemProps[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  waypoints: WaypointProps[];
}

export enum Frequency {
  PUNCTUAL = 'PUNCTUAL',
  RECURRENT = 'RECURRENT',
}
